NextSDS Docs

Generate a safety card for an SDS

Generate and download a safety card (VIK) document for the given SDS. Uses the team's default profile unless a specific profile is provided.

GET
/sds/{sdsId}/safety-card

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.

In: header

Path Parameters

sdsId*string

SDS document UUID

Formatuuid

Query Parameters

format?string

Output format

Default"pdf"
Value in"pdf" | "word"
profile_id?string

Safety card profile to use. Defaults to the team's default profile.

Formatuuid
language?string

Output language (ISO 639-1)

Default"en"
Value in"en" | "nl" | "de" | "fr"

Response Body

application/json

application/json

curl -X GET "https://api.nextsds.com/v1/sds/497f6eca-6276-4993-bfeb-53cbbbba6f08/safety-card"
"string"
{
  "type": "https://api.nextsds.com/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing X-API-Key header"
}
{
  "type": "https://api.nextsds.com/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "The requested resource was not found"
}